Bug 519087 - RHEV-H fails to boot when IBM SK-8845 keyboard used
Summary: RHEV-H fails to boot when IBM SK-8845 keyboard used
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 03:35 UTC by Andrew Ross
Modified: 2016-04-26 16:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-27 18:59:29 UTC


Attachments (Terms of Use)

Description Andrew Ross 2009-08-25 03:35:20 UTC
Description of problem: The rhev-hypervisor fails to boot when using an IBM SK-8845 keyboard.


Version-Release number of selected component (if applicable): rhev-h 2.0.99.15


How reproducible:


Steps to Reproduce:
1. Plug keyboard into USB port
2. Boot from CDROM
3.
  
Actual results:
Boot process fails and drops to a bash shell.

Expected results:


Additional info:
Hardware: 
Lenovo s10 Thinkstation
4G RAM
2x 160G SATA Hard Drives
IBM SK-8845 Keyboard

- hypervisor installs using same cd media on this machine with a "normal" keyboard and USB mouse plugged in.

Comment 2 Perry Myers 2009-08-25 04:15:08 UTC
Does a RHEL5.4 bare metal install boot correctly when this keyboard is plugged in?  And can we get console logs from the boot so we can see where the boot process hangs?

Comment 3 Perry Myers 2009-08-27 18:59:29 UTC
I successfully booted RHEVH 5.4-2.0.99.16.2 with a SK-8825 USB keyboard connected.  Not sure why the 8845 would be different enough from the 8825 to cause problems, but I would imagine if there is a problem it would also exist in RHEL5 and would not be isolated to RHEVH.

If this problem still exists please replicate and provide console logs.  I'm going to reassign to RHEL kernel and close.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.